#!/bin/bash

RESTART="/etc/init.d/asterisk restart"
CleanReg="/etc/asterisk/clean-register.pl"

AST_PL[0]="ast-rad-acc.pl"
AST_PL[1]="ast-reg-switz.pl"
AST_PL[2]="ast-ngrep.pl"
#AST_PL[3]="ast-resend-lost.pl"

AST_RUN[0]="/root/myasterisk/ast-rad-acc.pl"
AST_RUN[1]="/root/myasterisk/ast-reg-switz.pl"
AST_RUN[2]="/root/myasterisk/ast-ngrep.pl"
#AST_RUN[3]="/root/myasterisk/ast-resend-lost.pl"

# Asterisk daemon name,
ASTRAD="asterisk"
SendMail=0
# find asterisk pid
AST_PID=$(ps -C ${ASTRAD} -o pid=)
for ((i=0;i<3;i++)) do
   PID[$i]=$(ps -C ${AST_PL[$i]} -o pid=)
   if [ -z "${PID[$i]}" ]
      then 
          PID[$i]=0
          SendMail=1
   fi
done

if [ -z "$AST_PID" ]
   then 
   AST_PID=0
   SendMail=1
   echo "--- Asterisk is stoppped !"
   for ((i=0;i<3;i++)) do
      echo "--- PID ${AST_PL[$i]} = ${PID[$i]}"
      if [ ${PID[$i]} != 0 ] 
         then 
             KIL="kill -9 ${PID[$i]}"
             echo "--- Kill ${AST_PL[$i]}"
             $KIL
      fi
   done
   echo "--- Clean registered customers in Billing"
   ${CleanReg}
   echo "--- Restart Asterisk"
   ${RESTART}
   for ((i=0;i<3;i++)) do
      echo "--- Run ${AST_PL[$i]}"
      ${AST_RUN[$i]} 
   done
else
   echo "--- Asterisk is running"
   for ((i=0;i<3;i++)) do
      echo "--- PID ${AST_PL[$i]} = ${PID[$i]}"
      if [ ${PID[$i]} == 0 ]
         then
             echo "--- Run ${AST_PL[$i]}"
             ${AST_RUN[$i]} 
      fi
   done
fi
if [ ${SendMail} == 1 ]
   then
   echo "--- Send Mail to alert@unappel.ch"
fi
