class astrad001::mysql-server {

  	
	package { "mysql-server": ensure => installed }
	package { "mysql-client": ensure => installed }

	service { "mysql":
		ensure	=> running,
		enable	=> true,
		name	=> "mysql",
		require	=> Package["mysql-server"],
	}

	exec { "Set MySQL root password":
#		subscribe   => Package["mysql-server"],
#		refreshonly => true,
		unless      => "mysqladmin -uroot -p$mysql_root_pass status",	
		path 	    => "/bin:/usr/bin",
		command     => "mysqladmin -uroot password $mysql_root_pass",
		require     => Service["mysql"],
	}
}
