# astrad001.pp

# module astrad
# v 001
#
# created on 2011.01.24 by yannick.vaucher@switzernet.com
#


import "asterisk.pp"
import "classes/*.pp"

class astrad001{

	$module_name = "astrad001"
		
	include mysql-server
	include asterisk
	include exim4	
	include munin

	package{[libdbi-perl, libdbd-mysql-perl, ntp, ngrep, rcconf]:
		ensure => installed,
	}

	line{ "comment MySQL bind-address":
		file => "/etc/mysql/my.cnf",
		line => "bind-address",
		ensure => comment,
	}
	
	# Give all access to database to the robot
	exec{ "Setup MySQL ast-robot":
		command => "mysql -uroot -p$mysql_root_pass -e \"GRANT ALL ON *.* to '$mysql_ast_user'@'%' IDENTIFIED BY '$mysql_ast_pass';\"",
		require => [Service['mysql'], Exec['Set MySQL root password']]

	}
}

